## com.sun.jersey.core.spi.component
Class ComponentInjector<T>

    java.lang.Object
      com.sun.jersey.core.spi.component.ComponentInjector<T>

Type Parameters:
  `T` - the type to inject on.

    public class ComponentInjector<T>

extends java.lang.Object

An injector to inject on a component.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`protected java.lang.Class<T>` `c`
`protected InjectableProviderContext` `ipc`

Constructor Summary
`ComponentInjector(InjectableProviderContext ipc, java.lang.Class<T> c)` Create a component injector.

Method Summary
`void` `inject(T t)` Inject on an instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ipc

    protected final InjectableProviderContext ipc

### c

    protected final java.lang.Class<T> c

Constructor Detail

### ComponentInjector

    public ComponentInjector(InjectableProviderContext ipc,
                             java.lang.Class<T> c)

  Create a component injector.

  Parameters:
    `ipc` - the injector provider context to obtain injectables.
    `c` - the class of the type to inject on.

Method Detail

### inject

    public void inject(T t)

  Inject on an instance.

  Parameters:
    `t` - the instance to inject on.

Copyright © 2017 Oracle Corporation. All Rights Reserved.